Skip to content
qibdo qibdo
v1
API version
  • v1
Theme
Book a demo

Update Namespace Scan Policy

PATCH
/registry/v1/workspaces/{workspace}/namespaces/{namespace}/scan-policies/{id}
curl --request PATCH \
--url https://example.com/registry/v1/workspaces/example/namespaces/example/scan-policies/example \
--header 'Content-Type: application/json' \
--data '{ "scope_type": "POLICY_SCOPE_TYPE_UNSPECIFIED", "scope_id": "example", "auto_scan_on_push": true, "block_on_critical_cve": true, "cve_allowlist": [ "example" ] }'

Updates the trigger, severity threshold, or block-on-fail behaviour of a namespace-scoped scan policy.

workspace
required
string
namespace
required
string
id
required
string
update_mask
string format: field-mask
Media type application/json
object
id
stringOutput only
scope_type
required
string format: enum
Allowed values: POLICY_SCOPE_TYPE_UNSPECIFIED POLICY_SCOPE_TYPE_NAMESPACE POLICY_SCOPE_TYPE_REPOSITORY
scope_id
required
string
auto_scan_on_push
boolean
block_on_critical_cve
boolean
cve_allowlist
Array<string>
created
string format: date-time Output only
updated
string format: date-time Output only

OK

Media type application/json
object
id
stringOutput only
resource_id
stringOutput only
resource_type
stringOutput only
operation_type
string format: enum Output only
Allowed values: REGISTRY_OPERATION_TYPE_UNSPECIFIED REGISTRY_OPERATION_TYPE_CREATE REGISTRY_OPERATION_TYPE_UPDATE REGISTRY_OPERATION_TYPE_DELETE REGISTRY_OPERATION_TYPE_TRIGGER
status
string format: enum Output only
Allowed values: REGISTRY_OPERATION_STATUS_UNSPECIFIED REGISTRY_OPERATION_STATUS_PENDING REGISTRY_OPERATION_STATUS_RUNNING REGISTRY_OPERATION_STATUS_DONE REGISTRY_OPERATION_STATUS_ERROR
insert_time
string format: date-time Output only
start_time
string format: date-time Output only
end_time
string format: date-time Output only
errors
Array<object>Output only
object
code
integer format: uint32
description
string
warnings
Array<object>Output only
object
code
integer format: uint32
description
string
progress
integer format: int32 Output only
Example
{
"operation_type": "REGISTRY_OPERATION_TYPE_UNSPECIFIED",
"status": "REGISTRY_OPERATION_STATUS_UNSPECIFIED"
}

Default error response

Media type application/json

The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.

object
code

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

integer format: int32
message

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

string
details

A list of messages that carry the error details. There is a common set of message types for APIs to use.

Array<object>

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

object
@type

The type of the serialized message.

string
key
additional properties
any
Example generated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}